<template>
    <nav id="nav-desktop">
        <div class="mb-4">
            <router-link to="/">
                <b-img src="/img/logo.gif" class="logo" fluid />
            </router-link>
        </div>
        <ul class="list-unstyled">
            <li>
                <router-link to="/illustrations" :class="{ active: $route.name == 'illustrations' }">illustrations</router-link>
            </li>
            <li>
                <a href="" v-b-toggle.projects @click.prevent>design & animation</a>
                <b-collapse id="projects" :visible="showProjectLinks">
                    <ul
                        class="list-unstyled ml-2"
                        id="design-and-animation-projects">
                        <li v-for="project in projects" :id="`nav-${project.code}`">
                            <router-link
                                :to="{ name: 'project', params: {projectCode: project.code} }"
                                :class="{ active: $route.name == 'project' && $route.params.projectCode == project.code }">
                                    {{ project.name }}
                            </router-link>
                        </li>
                    </ul>
                </b-collapse>
            </li>
            <li>
                <router-link to="/contact" :class="{ active: $route.name == 'contact' }">Contact</router-link>
            </li>
            <li>
                <router-link to="/bio" :class="{ active: $route.name == 'bio' }">Bio</router-link>
            </li>
            <li>
                <a href="http://puntovero.com/shop/Luis-Goldberg-H" target="_blank">shop</a>
            </li>
        </ul>
        <ul class="list-inline">
            <li class="list-inline-item">
                <a href="https://www.facebook.com/profile.php?id=100009663312638" target="_blank">
                    <fa-icon :icon="['fab', 'facebook']" />
                </a>
            </li>
            <li class="list-inline-item">
                <a href="https://www.instagram.com/luisdavid_goldberg/" target="_blank">
                    <fa-icon :icon="['fab', 'instagram']" />
                </a>
            </li>
        </ul>
    </nav>
</template>

<style lang="scss" scoped>
    #nav-desktop {
        a {
            &.active {
                background-color: #000;
                color: #fff;
            }
            &:focus {
                outline: none;
            }
            &:hover {
                color: #ccc;
            }
        }
        .logo {
            max-height: 180px;
        }
    }
</style>

<script>
    import projects from '../../data.json'

    import { BCollapse, VBToggle, BImg } from 'bootstrap-vue'

    import { library } from '@fortawesome/fontawesome-svg-core'
    import { faFacebook, faInstagram } from '@fortawesome/free-brands-svg-icons'
    import { FontAwesomeIcon } from '@fortawesome/vue-fontawesome'

    library.add([faFacebook, faInstagram])

    export default {
        name: 'NavDesktop',
        components: {
            'fa-icon': FontAwesomeIcon,
            'b-collapse': BCollapse,
            'b-img': BImg
        },
        directives: {
            'b-toggle': VBToggle
        },
        data() {
            return {
                projects: projects,
                showProjectLinks: this.$route.name == 'project'
            }
        },
        watch: {
            $route(to, from) {
                this.showProjectLinks = to.name == 'project';
            }
        }
    }
</script>
